export const getTodoList = () => {
    let url = "https://example.com/";

    //Try to mimic fetch with promise
    return new Promise((resolve) =>
        setTimeout(
            resolve([
                { text: "test1", id: 1, completed: false },
                { text: "test2", id: 2, completed: true },
                { text: "test3", id: 3, completed: false },
                { text: "test4", id: 5, completed: true },
            ]),
            Math.random() * 1000
        )
    );
};

export const createNewItem = () => {
    let url = "https://example.com/";

    //Try to mimic fetch with promise
    if (Math.random() > 0.1) {
        return new Promise((resolve) => setTimeout(resolve({ status: true }), Math.random() * 1000));
    } else {
        return new Promise((resolve) =>
            setTimeout(resolve({ status: false, error: "some error" }), Math.random() * 1000)
        );
    }
};

export const updateItem = (data) => {
    let url = "https://example.com/";

    //Try to mimic fetch with promise
    if (Math.random() > 0.1) {
        return new Promise((resolve) => setTimeout(resolve({ status: true }), Math.random() * 1000));
    } else {
        return new Promise((resolve) =>
            setTimeout(resolve({ status: false, error: "some error" }), Math.random() * 1000)
        );
    }
};

export const deleteItem = (id) => {
    let url = "https://example.com/";

    //Try to mimic fetch with promise
    return new Promise((resolve) => setTimeout(resolve({ status: true }), Math.random() * 1000));
};
